Returns the details of one query limit for the specified federated database instance in the specified project.
- Project Read Only
Path parameters
-
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$. -
Human-readable label that identifies the federated database instance to which the query limit applies.
-
Human-readable label that identifies this data federation instance limit.
Limit Name Description Default bytesProcessed.queryLimit on the number of bytes processed during a single data federation query N/A bytesProcessed.dailyLimit on the number of bytes processed for the data federation instance for the current day N/A bytesProcessed.weeklyLimit on the number of bytes processed for the data federation instance for the current week N/A bytesProcessed.monthlyLimit on the number of bytes processed for the data federation instance for the current month N/A Values are
bytesProcessed.query,bytesProcessed.daily,bytesProcessed.weekly, orbytesProcessed.monthly.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/dataFederation/{tenantName}/limits/{limitName}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"currentUsage": 42,
"defaultLimit": 42,
"lastModifiedDate": "2026-05-04T09:42:00Z",
"maximumLimit": 42,
"name": "string",
"overrunPolicy": "BLOCK",
"tenantName": "string",
"value": 42
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}